Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class CoordinatorModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorModel

All Implemented Interfaces:
  `Serializable`

    public class CoordinatorModel
    extends BaseModel

See Also:
  Serialized Form

### Field Summary

Fields
`String` `host`
`String` `monitoringHostIdKey`
`String` `name`
`Long` `processId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

### Constructor Summary

Constructors
`CoordinatorModel()`
`CoordinatorModel​(Long id)`
`CoordinatorModel​(Long id, String name, String host, Long processId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `generateMonitoringKey()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### host

    public String host

#### processId

    public Long processId

#### monitoringHostIdKey

    public String monitoringHostIdKey

### Constructor Detail

#### CoordinatorModel

    public CoordinatorModel​(Long id)

#### CoordinatorModel

    public CoordinatorModel()

#### CoordinatorModel

    public CoordinatorModel​(Long id,
                            String name,
                            String host,
                            Long processId)

### Method Detail

#### generateMonitoringKey

    public void generateMonitoringKey()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`